Subject: Re: Anyone got drivers/mtd/maps/pm828.c?

From: Clemens Koller <[email-masked]>
Date: Wed, 15 Jun 2005 15:18:37 +0200

Hi, Alex!

Hmm, I don't know the PM828 much in detail, but have you
tried the "generic" physmap driver which is in the kernel?
Just give it the base address and the size, and it should
probe the cfi and you are done (well, it was working fine
for me on my PM854).
Of course, you need to make sure, that your hardware / memory
mapping is initialized properly (which happens usually in the
boot loader). If it's not, let me know and I can give you
some code to mess around with the registers in a kernel module.

Best greets,

Clemens Koller
_______________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Str. 45/1
81379 Muenchen
Germany

http://www.anagramm.de
Phone: +49-89-741518-50
Fax: +49-89-741518-19

Alex Zeffertt wrote:
> Hi there,
> 
> I need to get flash partitions working on my PM828 development board. 
> Has anybody already written a pm828.c?  If so I'd appreciate a look at
> it.
> 
> TIA,
> 
> Alex
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>